Skip to main content
`Ctrl`+`K`

# MatGetFactorType

gets the type of factorization a matrix is

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetFactorType(Mat mat, MatFactorType *t)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- t - the type, one of `MAT_FACTOR_NONE`, `MAT_FACTOR_LU`, `MAT_FACTOR_CHOLESKY`, `MAT_FACTOR_ILU`, `MAT_FACTOR_ICC,MAT_FACTOR_ILUDT`, `MAT_FACTOR_QR`

## See Also

Matrices, `Mat`, Matrix Factorization, `MatFactorType`, `MatGetFactor()`, `MatSetFactorType()`, `MAT_FACTOR_NONE`, `MAT_FACTOR_LU`, `MAT_FACTOR_CHOLESKY`, `MAT_FACTOR_ILU`, `MAT_FACTOR_ICC`, `MAT_FACTOR_ILUDT`, `MAT_FACTOR_QR`

## Level

intermediate

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages